<?php

namespace Drupal\murmurations\Plugin\QueueWorker;

use Drupal\Core\Queue\QueueWorkerBase;
use Drupal\Core\Queue\SuspendQueueException;

/**
 * Updates a feed's items.
 *
 * @QueueWorker(
 *   id = "murmurations_delete_index",
 *   title = @Translation("Delete from the murmurations index"),
 *   cron = {"time" = 60}
 * )
 *
 * @todo inject entity_type.manager
 */
class DeleteIndex extends QueueWorkerBase {

  /**
   * {@inheritdoc}
   */
  public function processItem($rel_url) {
    try {
      murmurations_deindex($rel_url);
    }
    catch(ConnectException $e) {
      throw new SuspendQueueException('Murmurations index was not available.');
      \Drupal::logger('murmurations')->warning($e->getMessage());
    }
    catch(\Exception $e) {
      \Drupal::logger('murmurations')->error($e->getMessage());
    }
  }

}
